Subject: bug#29072: guix system: error: qemu-CVE-2017-7493.patch: patch not found

From: Efraim Flashner <[email-masked]>
Date: Sun, 5 Nov 2017 19:46:34 +0200

On Sat, Nov 04, 2017 at 07:50:10PM -0400, myglc2 wrote:
> On 11/01/2017 at 22:44 Leo Famulari writes:
> 
> > On Wed, Nov 01, 2017 at 10:40:47PM -0400, myglc2 wrote:
> >> On 11/01/2017 at 11:27 Leo Famulari writes:
> >> 
> >> > On Wed, Nov 01, 2017 at 10:40:28AM -0400, myglc2 wrote:
> >> >> Binary file ./gnu/packages/qemu.go matches		 
> >> >
> >> > Try deleting this compiled qemu.go and then try again.
> >> 
> >> Thank you Leo.
> >> 
> >> I deleted ./gnu/packages/qemu.go and re-ran make.
> >> 
> >> Make failed to regenerate ./gnu/packages/qemu.go
> >> 
> >> So now I am really confused.
> >
> > The 'gnu/packages/qemu.scm' file was removed from Guix in July 2017,
> > with commit 59132b800093e486e4d81aed6b837e9ac76aa86c. The QEMU packages
> > were moved into 'gnu/packages/virtualization.scm'.
> >
> > I'm not an Autotools expert, but in cases like this I usually try `make
> > clean && ./configure --localstatedir=/var && make`. Did you try
> > something like that yet?
> 
> Thanks Leo.
> 
> I did a new git pull and a clean build as you suggested (please see the
> grep of the make.log below for details)
> 
> Now when I try 'guix system build sys.scm I get ...
> 
> guix system: error: failed to load 'sys.scm':
> ice-9/boot-9.scm:2795:6: In procedure resolve-interface:
> ice-9/boot-9.scm:2795:6: no code for module (gnu packages qemu)
> 
> ... please see details further below. Obviously something is calling
> 'gnu/packages/qemu.scm' but I don't understand what.
> 
> TIA - George
> 
> make.log
> --------
> g1@g1 ~/src/guix$ grep g1@g1 make.log 
> g1@g1 ~/src/guix$ guix environment -e "(@ (gnu packages package-management) guix)" -M 4 -c 4
> g1@g1 ~/src/guix [env]$ git fetch
> g1@g1 ~/src/guix [env]$ git pull
> g1@g1 ~/src/guix [env]$ git status
> g1@g1 ~/src/guix [env]$ rm -fr /home/g1/.cache/guile/ccache/*
> g1@g1 ~/src/guix [env]$ make clean-go

was there any mention at the end of 'make clean-go' about there being
stray *go files left?

> g1@g1 ~/src/guix [env]$ ./bootstrap
> g1@g1 ~/src/guix [env]$ ./configure --localstatedir=/var
> g1@g1 ~/src/guix [env]$ make -j 10 check
> g1@g1 ~/src/guix [env]$ ln -f -s -T ~/src/guix/ ~/.config/guix/latest
> g1@g1 ~/src/guix [env]$ sudo ln -f -s -T ~/src/guix/ /root/.config/guix/latest
> g1@g1 ~/src/guix [env]$ git status
> g1@g1 ~/src/guix [env]$ git remote -vv
> g1@g1 ~/src/guix [env]$ git branch -av | grep \*
> g1@g1 ~/src/guix [env]$ exit
> g1@g1 ~/src/guix$ exit
> g1@g1 ~/src/guix$
> 
> 
> root@g1 ~/con/15# guix system --cores=4 --max-jobs=4 -K --on-error=debug build sys.scm
> guix system: error: failed to load 'sys.scm':
> ice-9/boot-9.scm:2795:6: In procedure resolve-interface:
> ice-9/boot-9.scm:2795:6: no code for module (gnu packages qemu)
> 

Can you post your sys.scm? It sounds like you might have a references to
(gnu packages qemu) listed there.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted